Skip to main content
POST
/
v2
/
companies
/
{kausateId}
/
ubo
Extract Ultimate Beneficial Owners (real-time)
curl --request POST \
  --url https://api.kausate.com/v2/companies/{kausateId}/ubo \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "customerReference": "<string>"
}
'
{
  "orderId": "<string>",
  "customerReference": "<string>",
  "partnerCustomerId": "<string>"
}

Authorizations

X-API-Key
string
header
required

Sign up at Kausate.com to get an API key

Headers

X-Partner-Customer-Id
string | null

Optional partner customer ID

Path Parameters

kausateId
string
required

Company ID

Query Parameters

sync
boolean
default:false

Return result synchronously with 300s timeout

Body

application/json

Request model for UBO (Ultimate Beneficial Owner) extraction.

customerReference
string | null
Maximum string length: 150

Response

UBO extraction order successfully placed

Response model for product order.

orderId
string
required
customerReference
string | null
Maximum string length: 150
partnerCustomerId
string | null
Maximum string length: 150